actionviewに依存するgemのgemspecの書き方?

actionviewに依存するgemを久々にtest動かしたらいろいろコケていてグエっとなった。

https://github.com/sanemat/actionview-link_to_blank

actionviewのコードをコピペしていじったgemなので、rails4.1からはactionviewがactionpackから独立したので、gemspecどう書くんだ?

gemspecの中でactionpack ~> 4.0.0 って書きたい & actionviewがgemである場合は、って書きたいけど そんなのかけない気がする。ひとまずgemになっているものが当然優先で、あとはappraisalが頑張る感じ。

gemspecは一番低いところに合わせておいて, actionview4.1と使うときは自分で’actionview’ ってGemfileに書くんだろうけど、4.1のactionpackは要らないのでdryじゃない気分。rails以外からは使わないからどうでもいいんだけどもちろん。

広告

コメントを残す

以下に詳細を記入するか、アイコンをクリックしてログインしてください。

WordPress.com ロゴ

WordPress.com アカウントを使ってコメントしています。 ログアウト / 変更 )

Twitter 画像

Twitter アカウントを使ってコメントしています。 ログアウト / 変更 )

Facebook の写真

Facebook アカウントを使ってコメントしています。 ログアウト / 変更 )

Google+ フォト

Google+ アカウントを使ってコメントしています。 ログアウト / 変更 )

%s と連携中